php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #323 Warning 'palloc' redefined
Submitted: 1998-04-28 07:30 UTC Modified: 1998-04-29 10:01 UTC
From: doussot at gifrance dot com Assigned:
Status: Closed Package: PostgreSQL related
PHP Version: 3.0 Latest CVS OS: Linux 2.0.34/libc6
Private report: No CVE-ID: None
 [1998-04-28 07:30 UTC] doussot at gifrance dot com
With PHP3, Apache (Lastest CVS), Mysql and Postgres 6.2.1 I
get a warning during compilation:
gcc -O2   -I. -I.   -I/usr/local/web/src/apache-1.3/src/include -I/usr/local/web/src/apache-1.3/src/os/unix      -I/usr/include   -I/usr/local/pgsql/include         -c internal_functions.c -o internal_functions.o
In file included from functions/php3_pgsql.h:77,
                 from internal_functions.c:60:
/usr/local/pgsql/include/libpq-fe.h:346: warning: `palloc' redefined
/usr/local/web/src/apache-1.3/src/include/compat.h:221: warning: this is the location of the previous definition

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1998-04-29 10:01 UTC] zeev
This is *probably* safe, but if it isn't, there's
nothing much we can do about it.  It's a clash between
a PostgresSQL function and an Apache function.

 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Mon Dec 17 03:01:26 2018 UTC